Bug 1488688 - kde-partitionmanager-v3.1.1 is available
Summary: kde-partitionmanager-v3.1.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-partitionmanager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 00:20 UTC by Upstream Release Monitoring
Modified: 2017-09-30 06:19 UTC (History)
3 users (show)

Fixed In Version: kde-partitionmanager-3.1.2-1.fc26 kde-partitionmanager-3.1.2-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-17 03:50:54 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-09-06 00:20:27 UTC
Latest upstream release: v3.1.1
Current version/release in rawhide: 3.1.0-3.fc27
URL: https://github.com/KDE/partitionmanager

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1499/

Comment 1 Andrius Štikonas 2017-09-06 13:29:43 UTC
3.1.2 fixes missing docs (https://download.kde.org/stable/partitionmanager/3.1.2/src/partitionmanager-3.1.2.tar.xz.mirrorlist)

This release fixes a fairly bad crash that can result in data loss.|

https://phabricator.kde.org/R17:feb2e374e496c65011e036f2a611fa7cc5b4e940

Version affected: 1.2.0 - 3.1.0

Comment 2 Mattia Verga 2017-09-06 16:02:00 UTC
(In reply to Andrius Štikonas from comment #1)
> 3.1.2 fixes missing docs
> (https://download.kde.org/stable/partitionmanager/3.1.2/src/partitionmanager-
> 3.1.2.tar.xz.mirrorlist)
> 
> This release fixes a fairly bad crash that can result in data loss.|
> 
> https://phabricator.kde.org/R17:feb2e374e496c65011e036f2a611fa7cc5b4e940
> 
> Version affected: 1.2.0 - 3.1.0

I've pushed 3.1.2 into F28 and F27.
F26 still have kpmcore 3.0.3 / partitionmanager 3.0.1. Andrius, is it safe to build partitionmanager 3.1.2 against kpmcore 3.0.3? If not, I need to update kpmcore and cause a soname bump.
Or can I only backport the relevant patch? (should be feb2e374e496c65011e036f2a611fa7cc5b4e940, isn't it?)

F25 is on 2.x series and I don't plan to upgrade it.

Comment 3 Andrius Štikonas 2017-09-06 16:07:53 UTC
You can backport just that patch. In fact only the second line is necessary:

i.e. &ApplyProgressDialog::reject->&ApplyProgressDialog::onCancelButton

But it should be safe to build against KPMcore 3.0.x (see KPMCORE_MIN_VERSION "3.0.0" in CMakeLists.txt).

Comment 4 Fedora Update System 2017-09-06 18:35:12 UTC
kde-partitionmanager-3.1.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-81ded3d59a

Comment 5 Fedora Update System 2017-09-06 18:35:19 UTC
kde-partitionmanager-3.1.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9502d6caac

Comment 6 Fedora Update System 2017-09-07 14:32:54 UTC
kde-partitionmanager-3.1.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9502d6caac

Comment 7 Fedora Update System 2017-09-08 00:24:10 UTC
kde-partitionmanager-3.1.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-81ded3d59a

Comment 8 Fedora Update System 2017-09-17 03:50:54 UTC
kde-partitionmanager-3.1.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-09-30 06:19:33 UTC
kde-partitionmanager-3.1.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.